Place Lookup 결과 조회
엔진마다 매장의 장소 정보를 읽습니다. 정보의 출처와 내용, 매장 정보와 다른 점이 들어 있습니다.
GET
/
v1
/
place-lookup
/
{id}
Get a place lookup
curl --request GET \
--url https://api.querying.ai/v1/place-lookup/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/place-lookup/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/place-lookup/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/place-lookup/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/place-lookup/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/place-lookup/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/place-lookup/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"lookup": {
"id": "canlis-2026-10",
"status": "COMPLETED",
"place": {
"name": "Canlis",
"address": "2576 Aurora Ave N, Seattle, WA 98109",
"location": {
"latitude": 47.6430534,
"longitude": -122.3467361
},
"phone": "(206) 283-3313",
"website": "https://canlis.com/"
},
"country": "US",
"engines": [
{
"engine": "CHATGPT",
"status": "COMPLETED",
"found": true,
"via": [
{
"taskType": "CHATGPT",
"prompt": "Show Canlis on a map",
"taskId": "9d02deef-4c1c-47db-8d86-e1a71f8b00e8",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.957Z",
"places": 1
},
{
"taskType": "CHATGPT",
"prompt": "Show Canlis, 2576 Aurora Ave N, Seattle, WA 98109 on a map",
"taskId": "91505c8f-d2d6-4bd3-8623-a8706249f1e1",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:39:04.194Z",
"places": 1
}
],
"record": {
"position": 1,
"name": "Canlis",
"source": "yelp",
"provider": "yelp-feed",
"url": "https://www.yelp.com/biz/canlis-seattle?adjust_creative=openai",
"address": "2576 Aurora Ave N, Seattle, WA 98109, United States",
"latitude": 47.6430933,
"longitude": -122.3467535,
"phone": "+1 206-283-3313",
"category": "Pacific Northwest restaurant (US)",
"rating": 4,
"reviewCount": 1935,
"website": "https://canlis.com/",
"match": {
"same": true,
"by": [
"phone",
"website",
"location",
"address",
"name"
],
"nameScore": 1,
"distanceMeters": 5
}
}
},
{
"engine": "GEMINI",
"status": "COMPLETED",
"found": true,
"via": [
{
"taskType": "GEMINI",
"prompt": "Show Canlis on a map",
"taskId": "f659899b-6dc8-487d-b33e-bdabd98ec562",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.831Z",
"places": 1
},
{
"taskType": "GEMINI",
"prompt": "Show Canlis, 2576 Aurora Ave N, Seattle, WA 98109 on a map",
"taskId": "f93bc0cc-070b-4ccc-a113-07581795105e",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.861Z",
"places": 1
}
],
"record": {
"position": 1,
"name": "Canlis",
"source": "google_maps",
"placeId": "ChIJRXCfNwUVkFQRxraD8U-dANE",
"url": "https://maps.google.com/?cid=15060210120606856902",
"address": "2576 Aurora Ave N, Seattle, WA 98109",
"latitude": 47.6430933,
"longitude": -122.34675349999999,
"phone": "+1 206-283-3313",
"category": "American restaurant",
"rating": 4.6,
"reviewCount": 2892,
"website": "https://canlis.com/",
"match": {
"same": true,
"by": [
"phone",
"website",
"location",
"address",
"name"
],
"nameScore": 1,
"distanceMeters": 5
}
}
},
{
"engine": "GOOGLE",
"status": "COMPLETED",
"found": false,
"via": [
{
"taskType": "GOOGLE",
"query": "Canlis location",
"taskId": "6d3c3a73-8193-4b82-a17b-3d3441afef7d",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:43.932Z",
"places": 0
},
{
"taskType": "GOOGLE",
"query": "Canlis",
"location": {
"latitude": 47.6430534,
"longitude": -122.3467361
},
"taskId": "980a858a-00d7-442c-b9be-b2ad75202b13",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.902Z",
"places": 0
}
]
},
{
"engine": "BING_COPILOT",
"status": "COMPLETED",
"found": true,
"via": [
{
"taskType": "BING_COPILOT",
"prompt": "Show Canlis on a map",
"taskId": "a9166a27-205b-4eb0-b8ec-248c0b5d149c",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:53.967Z",
"places": 1
},
{
"taskType": "BING_COPILOT",
"prompt": "Show Canlis, 2576 Aurora Ave N, Seattle, WA 98109 on a map",
"taskId": "4f8afd8a-866d-4e17-8a29-acca4e53e056",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:53.983Z",
"places": 1
}
],
"record": {
"position": 1,
"name": "Canlis",
"source": "google_maps",
"placeId": "ChIJRXCfNwUVkFQRxraD8U-dANE",
"url": "https://maps.google.com/?cid=15060210120606856902",
"address": "2576 Aurora Ave N, Seattle, WA 98109",
"latitude": 47.6430933,
"longitude": -122.34675349999999,
"phone": "(206) 283-3313",
"category": "Pacific Northwest restaurant (US),American restaurant,Bar,Fine dining restaurant,New American restaurant,Restaurant",
"rating": 4.6,
"reviewCount": 2892,
"website": "https://canlis.com/",
"openState": "Closed · Opens 5 PM Tue",
"match": {
"same": true,
"by": [
"phone",
"website",
"location",
"address",
"name"
],
"nameScore": 1,
"distanceMeters": 5
}
}
}
],
"summary": {
"foundIn": [
"CHATGPT",
"GEMINI",
"BING_COPILOT"
],
"notFoundIn": [
"GOOGLE"
],
"failed": [],
"pending": [],
"differences": []
},
"credits": 10
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Place lookup not found",
"details": {
"id": "canlis-2026-10"
},
"timestamp": "2026-10-20T09:00:00.000Z"
}
}⌘I
Get a place lookup
curl --request GET \
--url https://api.querying.ai/v1/place-lookup/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/place-lookup/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/place-lookup/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/place-lookup/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/place-lookup/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/place-lookup/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/place-lookup/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"lookup": {
"id": "canlis-2026-10",
"status": "COMPLETED",
"place": {
"name": "Canlis",
"address": "2576 Aurora Ave N, Seattle, WA 98109",
"location": {
"latitude": 47.6430534,
"longitude": -122.3467361
},
"phone": "(206) 283-3313",
"website": "https://canlis.com/"
},
"country": "US",
"engines": [
{
"engine": "CHATGPT",
"status": "COMPLETED",
"found": true,
"via": [
{
"taskType": "CHATGPT",
"prompt": "Show Canlis on a map",
"taskId": "9d02deef-4c1c-47db-8d86-e1a71f8b00e8",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.957Z",
"places": 1
},
{
"taskType": "CHATGPT",
"prompt": "Show Canlis, 2576 Aurora Ave N, Seattle, WA 98109 on a map",
"taskId": "91505c8f-d2d6-4bd3-8623-a8706249f1e1",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:39:04.194Z",
"places": 1
}
],
"record": {
"position": 1,
"name": "Canlis",
"source": "yelp",
"provider": "yelp-feed",
"url": "https://www.yelp.com/biz/canlis-seattle?adjust_creative=openai",
"address": "2576 Aurora Ave N, Seattle, WA 98109, United States",
"latitude": 47.6430933,
"longitude": -122.3467535,
"phone": "+1 206-283-3313",
"category": "Pacific Northwest restaurant (US)",
"rating": 4,
"reviewCount": 1935,
"website": "https://canlis.com/",
"match": {
"same": true,
"by": [
"phone",
"website",
"location",
"address",
"name"
],
"nameScore": 1,
"distanceMeters": 5
}
}
},
{
"engine": "GEMINI",
"status": "COMPLETED",
"found": true,
"via": [
{
"taskType": "GEMINI",
"prompt": "Show Canlis on a map",
"taskId": "f659899b-6dc8-487d-b33e-bdabd98ec562",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.831Z",
"places": 1
},
{
"taskType": "GEMINI",
"prompt": "Show Canlis, 2576 Aurora Ave N, Seattle, WA 98109 on a map",
"taskId": "f93bc0cc-070b-4ccc-a113-07581795105e",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.861Z",
"places": 1
}
],
"record": {
"position": 1,
"name": "Canlis",
"source": "google_maps",
"placeId": "ChIJRXCfNwUVkFQRxraD8U-dANE",
"url": "https://maps.google.com/?cid=15060210120606856902",
"address": "2576 Aurora Ave N, Seattle, WA 98109",
"latitude": 47.6430933,
"longitude": -122.34675349999999,
"phone": "+1 206-283-3313",
"category": "American restaurant",
"rating": 4.6,
"reviewCount": 2892,
"website": "https://canlis.com/",
"match": {
"same": true,
"by": [
"phone",
"website",
"location",
"address",
"name"
],
"nameScore": 1,
"distanceMeters": 5
}
}
},
{
"engine": "GOOGLE",
"status": "COMPLETED",
"found": false,
"via": [
{
"taskType": "GOOGLE",
"query": "Canlis location",
"taskId": "6d3c3a73-8193-4b82-a17b-3d3441afef7d",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:43.932Z",
"places": 0
},
{
"taskType": "GOOGLE",
"query": "Canlis",
"location": {
"latitude": 47.6430534,
"longitude": -122.3467361
},
"taskId": "980a858a-00d7-442c-b9be-b2ad75202b13",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:48.902Z",
"places": 0
}
]
},
{
"engine": "BING_COPILOT",
"status": "COMPLETED",
"found": true,
"via": [
{
"taskType": "BING_COPILOT",
"prompt": "Show Canlis on a map",
"taskId": "a9166a27-205b-4eb0-b8ec-248c0b5d149c",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:53.967Z",
"places": 1
},
{
"taskType": "BING_COPILOT",
"prompt": "Show Canlis, 2576 Aurora Ave N, Seattle, WA 98109 on a map",
"taskId": "4f8afd8a-866d-4e17-8a29-acca4e53e056",
"status": "COMPLETED",
"collectedAt": "2026-10-19T16:38:53.983Z",
"places": 1
}
],
"record": {
"position": 1,
"name": "Canlis",
"source": "google_maps",
"placeId": "ChIJRXCfNwUVkFQRxraD8U-dANE",
"url": "https://maps.google.com/?cid=15060210120606856902",
"address": "2576 Aurora Ave N, Seattle, WA 98109",
"latitude": 47.6430933,
"longitude": -122.34675349999999,
"phone": "(206) 283-3313",
"category": "Pacific Northwest restaurant (US),American restaurant,Bar,Fine dining restaurant,New American restaurant,Restaurant",
"rating": 4.6,
"reviewCount": 2892,
"website": "https://canlis.com/",
"openState": "Closed · Opens 5 PM Tue",
"match": {
"same": true,
"by": [
"phone",
"website",
"location",
"address",
"name"
],
"nameScore": 1,
"distanceMeters": 5
}
}
}
],
"summary": {
"foundIn": [
"CHATGPT",
"GEMINI",
"BING_COPILOT"
],
"notFoundIn": [
"GOOGLE"
],
"failed": [],
"pending": [],
"differences": []
},
"credits": 10
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Place lookup not found",
"details": {
"id": "canlis-2026-10"
},
"timestamp": "2026-10-20T09:00:00.000Z"
}
}